jdbm.recman

## Class Provider

- java.lang.Object
- - jdbm.recman.Provider

All Implemented Interfaces:
  RecordManagerProvider

    public final class Provider
    extends Object
    implements RecordManagerProvider

Provider of the default RecordManager implementation.

Author:
  Alex Boisvert

### Constructor Summary

Constructors
Constructor and Description
`Provider()`

### Method Summary

Methods
`RecordManager` `createRecordManager(String name, Properties options)` Create a default implementation record manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Provider

    public Provider()

### Method Detail

#### createRecordManager

    public RecordManager createRecordManager(String name,
                                    Properties options)
                                      throws IOException

Create a default implementation record manager.

Specified by:
  `createRecordManager` in interface `RecordManagerProvider`
Parameters:
  `name` - Name of the record file.
  `options` - Record manager options.
Throws:
  `IOException` - if an I/O related exception occurs while creating or opening the record manager.
  `UnsupportedOperationException` - if some options are not supported by the implementation.
  `IllegalArgumentException` - if some options are invalid.